## ardour3 4.1~dfsg

=== debian/changelog ===
ardour3 (4.1~dfsg-1build2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:32:22 +0000

ardour3 (4.1~dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:12:51 +0000

ardour3 (4.1~dfsg-1) unstable; urgency=low

  * Imported Upstream version 4.1~dfsg

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2015 21:40:50 +0200

ardour3 (4.0~dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 4.0~dfsg1

  [ Adrian Knoth ]
  * Enable ALSA backend (as an alternative to jackd)
  * Delete obsolete midi-data-loss.patch
  * Refresh log-stdout.patch
  * Refresh version patch
  * Fix waf-light
  * Build-depend on librubberband-dev
  * Build-depend on libtagc0-dev
  * Update LD_LIBRARY_PATH
  * Enable ALSA backend
  * Rename manpage
  * Rename icon to ardour4.xpm
  * Update desktop file
  * Update menu entry
  * Changelog entries
  * Set gbp.conf to {master,upstream}-a4
  * Build-depend on libltc-dev
  * Use external LIBLTC and VAMP-SDK
  * Shrink icon to 32x32
  * Provide SVG logo

  [ Jaromír Mikeš ]
  * Install svg icon.
  * Use svg icon by desktop file.
  * Update copyright file.
  * Add watch file.
  * Add get-orig-source.
  * Tuned gbp.conf for new gbp behavior.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 05 May 2015 07:35:19 +0200
